/*
 * Copyright 2007 The authors
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.intellij.struts2.dom.struts.impl;

import com.intellij.struts2.dom.struts.strutspackage.DefaultClassRef;
import com.intellij.struts2.dom.struts.strutspackage.StrutsPackage;

/**
 * @author Yann Cbron
 */
public abstract class StrutsPackageImpl implements StrutsPackage {

  public DefaultClassRef searchDefaultClassRef() {
    StrutsPackage currentPackage = this;
    while (currentPackage != null) {
      if (currentPackage.getDefaultClassRef().getXmlElement() != null) {
        return currentPackage.getDefaultClassRef();
      }
      currentPackage = currentPackage.getExtends().getValue();
    }
    return null;
  }

}